{
  "runtimeTarget": {
    "name": ".NETCoreApp,Version=v6.0/linux-arm",
    "signature": ""
  },
  "compilationOptions": {},
  "targets": {
    ".NETCoreApp,Version=v6.0": {},
    ".NETCoreApp,Version=v6.0/linux-arm": {
      "EChargeIIApp/1.0.0": {
        "dependencies": {
          "ErrorHandler": "1.0.0",
          "HardwareComponents": "1.0.0",
          "HardwareInverter": "1.0.0",
          "IscProgrammableSdk": "2.0.9",
          "LoadManagementPv": "1.0.0",
          "ModbusCommunicationManager": "1.0.0",
          "UnitValues": "1.0.0",
          "log4net": "2.0.14"
        },
        "runtime": {
          "EChargeIIApp.dll": {}
        }
      },
      "IIscAppLoaderInterfaces/2.0.9": {
        "runtime": {
          "lib/net6.0/IIscAppLoaderInterfaces.dll": {
            "assemblyVersion": "2.0.9.0",
            "fileVersion": "2.0.9.0"
          }
        }
      },
      "IscProgrammableSdk/2.0.9": {
        "dependencies": {
          "IIscAppLoaderInterfaces": "2.0.9",
          "Newtonsoft.Json": "13.0.1",
          "log4net": "2.0.14"
        },
        "runtime": {
          "lib/net6.0/IscAppConnectorHost.dll": {
            "assemblyVersion": "2.0.9.0",
            "fileVersion": "2.0.9.0"
          }
        }
      },
      "log4net/2.0.14": {
        "dependencies": {
          "System.Configuration.ConfigurationManager": "4.5.0"
        },
        "runtime": {
          "lib/netstandard2.0/log4net.dll": {
            "assemblyVersion": "2.0.14.0",
            "fileVersion": "2.0.14.0"
          }
        }
      },
      "Microsoft.NETCore.Platforms/2.0.0": {},
      "Newtonsoft.Json/13.0.1": {
        "runtime": {
          "lib/netstandard2.0/Newtonsoft.Json.dll": {
            "assemblyVersion": "13.0.0.0",
            "fileVersion": "13.0.1.25517"
          }
        }
      },
      "NModbus/3.0.81": {
        "runtime": {
          "lib/net6.0/NModbus.dll": {
            "assemblyVersion": "3.0.81.0",
            "fileVersion": "3.0.81.0"
          }
        }
      },
      "NModbus.Serial/3.0.81": {
        "dependencies": {
          "NModbus": "3.0.81",
          "System.IO.Ports": "7.0.0"
        },
        "runtime": {
          "lib/net6.0/NModbus.Serial.dll": {
            "assemblyVersion": "3.0.81.0",
            "fileVersion": "3.0.81.0"
          }
        }
      },
      "runtime.linux-arm.runtime.native.System.IO.Ports/7.0.0": {
        "native": {
          "runtimes/linux-arm/native/libSystem.IO.Ports.Native.so": {
            "fileVersion": "0.0.0.0"
          }
        }
      },
      "runtime.linux-arm64.runtime.native.System.IO.Ports/7.0.0": {},
      "runtime.linux-x64.runtime.native.System.IO.Ports/7.0.0": {},
      "runtime.native.System.IO.Ports/7.0.0": {
        "dependencies": {
          "runtime.linux-arm.runtime.native.System.IO.Ports": "7.0.0",
          "runtime.linux-arm64.runtime.native.System.IO.Ports": "7.0.0",
          "runtime.linux-x64.runtime.native.System.IO.Ports": "7.0.0",
          "runtime.osx-arm64.runtime.native.System.IO.Ports": "7.0.0",
          "runtime.osx-x64.runtime.native.System.IO.Ports": "7.0.0"
        }
      },
      "runtime.osx-arm64.runtime.native.System.IO.Ports/7.0.0": {},
      "runtime.osx-x64.runtime.native.System.IO.Ports/7.0.0": {},
      "System.Configuration.ConfigurationManager/4.5.0": {
        "dependencies": {
          "System.Security.Cryptography.ProtectedData": "4.5.0",
          "System.Security.Permissions": "4.5.0"
        },
        "runtime": {
          "lib/netstandard2.0/System.Configuration.ConfigurationManager.dll": {
            "assemblyVersion": "4.0.1.0",
            "fileVersion": "4.6.26515.6"
          }
        }
      },
      "System.IO.Ports/7.0.0": {
        "dependencies": {
          "runtime.native.System.IO.Ports": "7.0.0"
        },
        "runtime": {
          "runtimes/unix/lib/net6.0/System.IO.Ports.dll": {
            "assemblyVersion": "7.0.0.0",
            "fileVersion": "7.0.22.51805"
          }
        }
      },
      "System.Security.AccessControl/4.5.0": {
        "dependencies": {
          "Microsoft.NETCore.Platforms": "2.0.0",
          "System.Security.Principal.Windows": "4.5.0"
        }
      },
      "System.Security.Cryptography.ProtectedData/4.5.0": {
        "runtime": {
          "lib/netstandard2.0/System.Security.Cryptography.ProtectedData.dll": {
            "assemblyVersion": "4.0.3.0",
            "fileVersion": "4.6.26515.6"
          }
        }
      },
      "System.Security.Permissions/4.5.0": {
        "dependencies": {
          "System.Security.AccessControl": "4.5.0"
        },
        "runtime": {
          "lib/netstandard2.0/System.Security.Permissions.dll": {
            "assemblyVersion": "4.0.1.0",
            "fileVersion": "4.6.26515.6"
          }
        }
      },
      "System.Security.Principal.Windows/4.5.0": {
        "dependencies": {
          "Microsoft.NETCore.Platforms": "2.0.0"
        }
      },
      "ErrorHandler/1.0.0": {
        "dependencies": {
          "log4net": "2.0.14"
        },
        "runtime": {
          "ErrorHandler.dll": {}
        }
      },
      "HardwareComponents/1.0.0": {
        "dependencies": {
          "ErrorHandler": "1.0.0",
          "HardwareComponentsShared": "1.0.0",
          "MockableTimer": "1.0.0",
          "ModbusCommunicationManager": "1.0.0",
          "NModbus": "3.0.81",
          "Schedulers": "1.0.0",
          "UnitValues": "1.0.0",
          "log4net": "2.0.14"
        },
        "runtime": {
          "HardwareComponents.dll": {}
        }
      },
      "HardwareComponentsShared/1.0.0": {
        "dependencies": {
          "MockableTimer": "1.0.0",
          "NModbus": "3.0.81",
          "Schedulers": "1.0.0",
          "UnitValues": "1.0.0",
          "log4net": "2.0.14"
        },
        "runtime": {
          "HardwareComponentsShared.dll": {}
        }
      },
      "HardwareInverter/1.0.0": {
        "dependencies": {
          "ErrorHandler": "1.0.0",
          "HardwareComponents": "1.0.0",
          "HardwareComponentsShared": "1.0.0",
          "LoadManagementPv": "1.0.0",
          "ModbusCommunicationManager": "1.0.0",
          "NModbus": "3.0.81",
          "Schedulers": "1.0.0",
          "log4net": "2.0.14"
        },
        "runtime": {
          "HardwareInverter.dll": {}
        }
      },
      "LoadManagementPv/1.0.0": {
        "dependencies": {
          "HardwareComponents": "1.0.0",
          "MockableTimer": "1.0.0",
          "UnitValues": "1.0.0",
          "log4net": "2.0.14"
        },
        "runtime": {
          "LoadManagementPv.dll": {}
        }
      },
      "MockableTimer/1.0.0": {
        "dependencies": {
          "log4net": "2.0.14"
        },
        "runtime": {
          "MockableTimer.dll": {}
        }
      },
      "ModbusCommunicationManager/1.0.0": {
        "dependencies": {
          "NModbus.Serial": "3.0.81",
          "log4net": "2.0.14"
        },
        "runtime": {
          "ModbusCommunicationManager.dll": {}
        }
      },
      "Schedulers/1.0.0": {
        "dependencies": {
          "MockableTimer": "1.0.0",
          "log4net": "2.0.14"
        },
        "runtime": {
          "Schedulers.dll": {}
        }
      },
      "UnitValues/1.0.0": {
        "runtime": {
          "UnitValues.dll": {}
        }
      }
    }
  },
  "libraries": {
    "EChargeIIApp/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "IIscAppLoaderInterfaces/2.0.9": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-YK3DqOw0YO5//kQ2TyrAOwydof9wUDIVk5rgAaGMTQfkLgbI6D2PXLB3oJL7IreHDOh5InWvwP6aBKJi7imMFA==",
      "path": "iiscapploaderinterfaces/2.0.9",
      "hashPath": "iiscapploaderinterfaces.2.0.9.nupkg.sha512"
    },
    "IscProgrammableSdk/2.0.9": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-x7GvApEH80u6RWg57pakmjz6ILikPJSk1fQojO9qXN3OtVcMx43BuFKvroqGhF4VSkYdlgzmY5yfCVJ84tAvSw==",
      "path": "iscprogrammablesdk/2.0.9",
      "hashPath": "iscprogrammablesdk.2.0.9.nupkg.sha512"
    },
    "log4net/2.0.14": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-KevyXUuhOyhx7l1jWwq6ZGVlRC2Aetg0qDp6rJpfSZGcDPKQDwfOE6yEuVkVf0kEP08NQqBDn/TQ/TJv4wgyhw==",
      "path": "log4net/2.0.14",
      "hashPath": "log4net.2.0.14.nupkg.sha512"
    },
    "Microsoft.NETCore.Platforms/2.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-VdLJOCXhZaEMY7Hm2GKiULmn7IEPFE4XC5LPSfBVCUIA8YLZVh846gtfBJalsPQF2PlzdD7ecX7DZEulJ402ZQ==",
      "path": "microsoft.netcore.platforms/2.0.0",
      "hashPath": "microsoft.netcore.platforms.2.0.0.nupkg.sha512"
    },
    "Newtonsoft.Json/13.0.1": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-ppPFpBcvxdsfUonNcvITKqLl3bqxWbDCZIzDWHzjpdAHRFfZe0Dw9HmA0+za13IdyrgJwpkDTDA9fHaxOrt20A==",
      "path": "newtonsoft.json/13.0.1",
      "hashPath": "newtonsoft.json.13.0.1.nupkg.sha512"
    },
    "NModbus/3.0.81": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-EzKEp7CHD8ErBL36iMts+6IrZZ9FEqllaD7Y5XzhoRjlxt5yXRughQ1bxPs99QFYFkW5xfkANB0Qs1gAmYGP8Q==",
      "path": "nmodbus/3.0.81",
      "hashPath": "nmodbus.3.0.81.nupkg.sha512"
    },
    "NModbus.Serial/3.0.81": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-6IISxvysZRaPkUJr52SVLdXqQwtrGtRmOnMbmSsnvjQnTxAUif/NihNC7Zbi4dvzUTDtlg3H7reZIBkUAHupjg==",
      "path": "nmodbus.serial/3.0.81",
      "hashPath": "nmodbus.serial.3.0.81.nupkg.sha512"
    },
    "runtime.linux-arm.runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-CBvgRaF+M0xGLDv2Geb/0v0LEADheH8aK72GRAUJdnqnJVsQO60ki1XO8M3keEhnjm+T5NvLm41pNXAVYAPiSg==",
      "path": "runtime.linux-arm.runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.linux-arm.runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "runtime.linux-arm64.runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-5VCyRCtCIYU8FR/W8oo7ouFuJ8tmAg9ddsuXhfCKZfZrbaVZSKxkmNBa6fxkfYPueD0jQfOvwFBmE5c6zalCSw==",
      "path": "runtime.linux-arm64.runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.linux-arm64.runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "runtime.linux-x64.runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-DV9dWDUs23OoZqMWl5IhLr3D+b9koDiSHQxFKdYgWnQbnthv8c/yDjrlrI8nMrDc71RAKCO8jlUojzuPMX04gg==",
      "path": "runtime.linux-x64.runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.linux-x64.runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-L4Ivegqc3B0Fee7VifFy2JST9nndm+uvJ0viLIZUaImDfnr+JmRin9Tbqd56KuMtm0eVxHpNOWZBPtKrA/1h5Q==",
      "path": "runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "runtime.osx-arm64.runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-jFwh4sKSXZ7al5XrItEO4GdGWa6XNxvNx+LhEHjrSzOwawO1znwJ+Dy+VjnrkySX9Qi4bnHNLoiqOXbqMuka4g==",
      "path": "runtime.osx-arm64.runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.osx-arm64.runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "runtime.osx-x64.runtime.native.System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-X4LrHEfke/z9+z+iuVr35NlkhdZldY8JGNMYUN+sfPK/U/6TcE+vP44I0Yv0ir1v0bqIzq3v6Qdv1c1vmp8s4g==",
      "path": "runtime.osx-x64.runtime.native.system.io.ports/7.0.0",
      "hashPath": "runtime.osx-x64.runtime.native.system.io.ports.7.0.0.nupkg.sha512"
    },
    "System.Configuration.ConfigurationManager/4.5.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-UIFvaFfuKhLr9u5tWMxmVoDPkFeD+Qv8gUuap4aZgVGYSYMdERck4OhLN/2gulAc0nYTEigWXSJNNWshrmxnng==",
      "path": "system.configuration.configurationmanager/4.5.0",
      "hashPath": "system.configuration.configurationmanager.4.5.0.nupkg.sha512"
    },
    "System.IO.Ports/7.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-0nWQjM5IofaIGpvkifN+LLuYwBG6BHlpmphLhhOJepcW12G8qToGuNDRgBzeTVBZzp33wVsESSZ8hUOCfq+8QA==",
      "path": "system.io.ports/7.0.0",
      "hashPath": "system.io.ports.7.0.0.nupkg.sha512"
    },
    "System.Security.AccessControl/4.5.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-vW8Eoq0TMyz5vAG/6ce483x/CP83fgm4SJe5P8Tb1tZaobcvPrbMEL7rhH1DRdrYbbb6F0vq3OlzmK0Pkwks5A==",
      "path": "system.security.accesscontrol/4.5.0",
      "hashPath": "system.security.accesscontrol.4.5.0.nupkg.sha512"
    },
    "System.Security.Cryptography.ProtectedData/4.5.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-wLBKzFnDCxP12VL9ANydSYhk59fC4cvOr9ypYQLPnAj48NQIhqnjdD2yhP8yEKyBJEjERWS9DisKL7rX5eU25Q==",
      "path": "system.security.cryptography.protecteddata/4.5.0",
      "hashPath": "system.security.cryptography.protecteddata.4.5.0.nupkg.sha512"
    },
    "System.Security.Permissions/4.5.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-9gdyuARhUR7H+p5CjyUB/zPk7/Xut3wUSP8NJQB6iZr8L3XUXTMdoLeVAg9N4rqF8oIpE7MpdqHdDHQ7XgJe0g==",
      "path": "system.security.permissions/4.5.0",
      "hashPath": "system.security.permissions.4.5.0.nupkg.sha512"
    },
    "System.Security.Principal.Windows/4.5.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-U77HfRXlZlOeIXd//Yoj6Jnk8AXlbeisf1oq1os+hxOGVnuG+lGSfGqTwTZBoORFF6j/0q7HXIl8cqwQ9aUGqQ==",
      "path": "system.security.principal.windows/4.5.0",
      "hashPath": "system.security.principal.windows.4.5.0.nupkg.sha512"
    },
    "ErrorHandler/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "HardwareComponents/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "HardwareComponentsShared/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "HardwareInverter/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "LoadManagementPv/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "MockableTimer/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "ModbusCommunicationManager/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "Schedulers/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "UnitValues/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    }
  }
}